org.eclipse.oomph.setup.impl

## Class ResourceCreationTaskImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskImpl
            - - org.eclipse.oomph.setup.impl.ResourceCreationTaskImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, ResourceCreationTask, SetupTask

      public class ResourceCreationTaskImpl
      extends SetupTaskImpl
      implements ResourceCreationTask

  An implementation of the model object 'Resource Creation Task'.

  The following features are implemented:

  - `Content`
  - `Target URL`
  - `Encoding`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `SetupTaskImpl.RunnableWithContext, SetupTaskImpl.TypedStringToken`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `content` The cached value of the '`Content`' attribute.
    `protected static String` | `CONTENT_EDEFAULT` The default value of the '`Content`' attribute.
    `protected String` | `encoding` The cached value of the '`Encoding`' attribute.
    `protected static String` | `ENCODING_EDEFAULT` The default value of the '`Encoding`' attribute.
    `protected static String` | `TARGET_URL_EDEFAULT` The default value of the '`Target URL`' attribute.
    `protected String` | `targetURL` The cached value of the '`Target URL`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `description, DESCRIPTION_EDEFAULT, disabled, DISABLED_EDEFAULT, excludedTriggers, iD, ID_EDEFAULT, predecessors, restrictions, SCOPE_TYPE_EDEFAULT, successors`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ResourceCreationTaskImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `String` | `getContent()`
    `String` | `getEncoding()`
    `String` | `getTargetURL()`
    `boolean` | `isNeeded(SetupTaskContext context)`
    `void` | `perform(SetupTaskContext context)`
    `void` | `setContent(String newContent)`
    `void` | `setEncoding(String newEncoding)`
    `void` | `setTargetURL(String newTargetURL)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `consolidate, createResolvedURI, createToken, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, overrideFor, performUI, requires, setDescription, setDisabled, setExcludedTriggers, setExcludedTriggersGen, setID`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInverseRemove, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, overrideFor, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### CONTENT_EDEFAULT

          protected static final String CONTENT_EDEFAULT

      The default value of the '`Content`' attribute.
      See Also:
        `getContent()`
      Generated
      Ordered

    - #### content

          protected String content

      The cached value of the '`Content`' attribute.
      See Also:
        `getContent()`
      Generated
      Ordered

    - #### TARGET_URL_EDEFAULT

          protected static final String TARGET_URL_EDEFAULT

      The default value of the '`Target URL`' attribute.
      See Also:
        `getTargetURL()`
      Generated
      Ordered

    - #### targetURL

          protected String targetURL

      The cached value of the '`Target URL`' attribute.
      See Also:
        `getTargetURL()`
      Generated
      Ordered

    - #### ENCODING_EDEFAULT

          protected static final String ENCODING_EDEFAULT

      The default value of the '`Encoding`' attribute.
      See Also:
        `getEncoding()`
      Generated
      Ordered

    - #### encoding

          protected String encoding

      The cached value of the '`Encoding`' attribute.
      See Also:
        `getEncoding()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### ResourceCreationTaskImpl

          protected ResourceCreationTaskImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `SetupTaskImpl`
      Generated

    - #### getContent

          public String getContent()

      Specified by:
        `getContent` in interface `ResourceCreationTask`
      Returns:
        the value of the 'Content' attribute.
      See Also:
        `ResourceCreationTask.setContent(String)`, `SetupPackage.getResourceCreationTask_Content()`
      Generated

    - #### setContent

          public void setContent(String newContent)

      Specified by:
        `setContent` in interface `ResourceCreationTask`
      Parameters:
        `newContent` - the new value of the 'Content' attribute.
      See Also:
        `ResourceCreationTask.getContent()`
      Generated

    - #### getTargetURL

          public String getTargetURL()

      Specified by:
        `getTargetURL` in interface `ResourceCreationTask`
      Returns:
        the value of the 'Target URL' attribute.
      See Also:
        `ResourceCreationTask.setTargetURL(String)`, `SetupPackage.getResourceCreationTask_TargetURL()`
      Generated

    - #### setTargetURL

          public void setTargetURL(String newTargetURL)

      Specified by:
        `setTargetURL` in interface `ResourceCreationTask`
      Parameters:
        `newTargetURL` - the new value of the 'Target URL' attribute.
      See Also:
        `ResourceCreationTask.getTargetURL()`
      Generated

    - #### getEncoding

          public String getEncoding()

      Specified by:
        `getEncoding` in interface `ResourceCreationTask`
      Returns:
        the value of the 'Encoding' attribute.
      See Also:
        `ResourceCreationTask.setEncoding(String)`, `SetupPackage.getResourceCreationTask_Encoding()`
      Generated

    - #### setEncoding

          public void setEncoding(String newEncoding)

      Specified by:
        `setEncoding` in interface `ResourceCreationTask`
      Parameters:
        `newEncoding` - the new value of the 'Encoding' attribute.
      See Also:
        `ResourceCreationTask.getEncoding()`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `SetupTaskImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `SetupTaskImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `SetupTaskImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `SetupTaskImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SetupTaskImpl`
      Generated
        NOT

    - #### isNeeded

          public boolean isNeeded(SetupTaskContext context)
                           throws Exception

      Specified by:
        `isNeeded` in interface `SetupTask`
      Throws:
        `Exception`

    - #### perform

          public void perform(SetupTaskContext context)
                       throws Exception

      Specified by:
        `perform` in interface `SetupTask`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html